# -*- encoding: utf-8 -*-

from django.urls import path, re_path, include

from apps.home import views
from .views import TicketView

urlpatterns = [

    # The home page
    path('', views.index, name='home'),

    # Custom Dashboard
    path('dashboard/', views.dashboard, name="dashboard"),
    path('tickets/', include([
        path('', TicketView.as_view(), name="tickets"),
        path('new/', views.new_ticket, name="ticket-new"),
        path('get/', include([
            path('one/', views.get_ticket, name="ticket-getone"),
            path('many/', views.get_tickets, name="ticket-getmany"),
            path("filtercounts/", views.get_filter_counts, name="ticket-getfiltercounts"),
        ])),
    ])),

    # # Matches any html file
    # re_path(r'^.*\.*', views.pages, name='pages'),

]
